IMPORTANT: Take care when updating.

There were numerous NPE exceptions submitted to tracker against newest
3117 build. The exceptions themselves aren't bug in the software but are
caused by unaccurate update from the previous build.

Please do not unzip newer build over old one. Jars could be deleted from
newer build.

In this particular case you've got 2 versions of picocontainer.jar

--
Maxim Shafirov
JetBrains Inc.
http://www.jetbrains.com
"Develop with pleasure!"

13 comments

Thank you for the update.

Deleting the contents of the "lib" directory worked great.

Donald

0

Maxim Shafirov (JetBrains) wrote:

There were numerous NPE exceptions submitted to tracker against newest
3117 build. The exceptions themselves aren't bug in the software but are
caused by unaccurate update from the previous build.

Please do not unzip newer build over old one. Jars could be deleted from
newer build.

In this particular case you've got 2 versions of picocontainer.jar


That can't be the only problem. I'm getting frequent NPEs, and I always
download and run the full installer, which deletes the contents of the
installation directory if it detects an older version of IDEA there.

0

Michael Besosa wrote:

Maxim Shafirov (JetBrains) wrote:

>> There were numerous NPE exceptions submitted to tracker against newest
>> 3117 build. The exceptions themselves aren't bug in the software but
>> are caused by unaccurate update from the previous build.
>>
>> Please do not unzip newer build over old one. Jars could be deleted
>> from newer build.
>>
>> In this particular case you've got 2 versions of picocontainer.jar
>>


That can't be the only problem. I'm getting frequent NPEs, and I always
download and run the full installer, which deletes the contents of the
installation directory if it detects an older version of IDEA there.

I'm not trying to say ALL exceptions caused by improper update of
course. It's just in this particular case the "Build 3117 unusable!"
blame could be avoided.

--
Maxim Shafirov
JetBrains Inc.
http://www.jetbrains.com
"Develop with pleasure!"

0

Hello Maxim,
are there update instructions? I deleted my lib dir and it worked but if
I choose a brand new directory it won't have the jre in it right??

Michael Besosa wrote:

>> Maxim Shafirov (JetBrains) wrote:
>>
>>> There were numerous NPE exceptions submitted to tracker against
>>> newest 3117 build. The exceptions themselves aren't bug in the
>>> software but are caused by unaccurate update from the previous
>>> build.
>>>
>>> Please do not unzip newer build over old one. Jars could be deleted
>>> from newer build.
>>>
>>> In this particular case you've got 2 versions of picocontainer.jar
>>>
>> That can't be the only problem. I'm getting frequent NPEs, and I
>> always download and run the full installer, which deletes the
>> contents of the installation directory if it detects an older version
>> of IDEA there.
>>

I'm not trying to say ALL exceptions caused by improper update of
course. It's just in this particular case the "Build 3117 unusable!"
blame could be avoided.



0

Charles DeCroes wrote:

Hello Maxim,
are there update instructions? I deleted my lib dir and it worked but
if I choose a brand new directory it won't have the jre in it right??


Copy JRE?

--
Maxim Shafirov
JetBrains Inc.
http://www.jetbrains.com
"Develop with pleasure!"

0

I've created a little script that renames the current installation to
-bak then unzips the new one to then copies the jre from -bak to . It also uzips the ideaxxxx-dev.zip into the ]]> dir too. I can post it if anyone wants it. You need a
licensed copy of Winzip with the Winzip commandline app though.

Charles DeCroes wrote:

Hello Maxim,
are there update instructions? I deleted my lib dir and it worked but
if I choose a brand new directory it won't have the jre in it right??

>> Michael Besosa wrote:
>>
>>> Maxim Shafirov (JetBrains) wrote:
>>>
>>>> There were numerous NPE exceptions submitted to tracker against
>>>> newest 3117 build. The exceptions themselves aren't bug in the
>>>> software but are caused by unaccurate update from the previous
>>>> build.
>>>>
>>>> Please do not unzip newer build over old one. Jars could be deleted
>>>> from newer build.
>>>>
>>>> In this particular case you've got 2 versions of picocontainer.jar
>>>>
>>> That can't be the only problem. I'm getting frequent NPEs, and I
>>> always download and run the full installer, which deletes the
>>> contents of the installation directory if it detects an older version
>>> of IDEA there.
>>>
>> I'm not trying to say ALL exceptions caused by improper update of
>> course. It's just in this particular case the "Build 3117 unusable!"
>> blame could be avoided.
>>



--
"A man's ethical behavior should be based effectually on sympathy,
education, and social ties and needs; no religious basis is necessary.
Man would indeed be in a poor way if he had to be restrained by fear of
punishment and hope of reward after death."
[Albert Einstein, "Religion and Science", New York Times Magazine, 9
November 1930]

0

Really? I've always copied the ZIP over the old directory. What else is the purpose of the ZIP file?

0

Brad wrote:

I've created a little script that renames the current installation to
<install>-bak then unzips the new one to <install> then copies the jre
from <install>-bak to <install>. It also uzips the ideaxxxx-dev.zip into
the <install> dir too. I can post it if anyone wants it. You need a
licensed copy of Winzip with the Winzip commandline app though.


I have something similar, in that I'm actually building RPM files for my
Fedora system, an update removes the previous version and puts the new
one in, so its like a clean install ( of the application at least ).

And its sure nice just going "yum install idea-jre idea-complete" for an
install/update.

0

Really? I've always copied the ZIP over the old directory. What else is

the purpose of the ZIP file?

Mostly so that you don't have to download the bundled JRE over and over
again..

Vince.


0

The Zip is missing more than just the JRE.

0

Like what?

Jordan Zimmerman wrote:

The Zip is missing more than just the JRE.


--
"A man's ethical behavior should be based effectually on sympathy,
education, and social ties and needs; no religious basis is necessary.
Man would indeed be in a poor way if he had to be restrained by fear of
punishment and hope of reward after death."
[Albert Einstein, "Religion and Science", New York Times Magazine, 9
November 1930]

0

Ah, I've always used the ZIP except for official releases.
And appart from the JRE and the LAX launcher stuff (idea.exe
& co) I thought they were pretty much the same. I might have
been missing on goodies all that time :)

Vince.


0

Please sign in to leave a comment.